<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_ViaRoute StructType
 * @subpackage Structs
 */
class Insert_ViaRoute extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The ViaRoute
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ViaRouteInsert
     */
    public $ViaRoute;
    /**
     * Constructor method for Insert_ViaRoute
     * @uses Insert_ViaRoute::setLogin()
     * @uses Insert_ViaRoute::setViaRoute()
     * @param \StructType\Login $login
     * @param \StructType\ViaRouteInsert $viaRoute
     */
    public function __construct(\StructType\Login $login = null, \StructType\ViaRouteInsert $viaRoute = null)
    {
        $this
            ->setLogin($login)
            ->setViaRoute($viaRoute);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_ViaRoute
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get ViaRoute value
     * @return \StructType\ViaRouteInsert|null
     */
    public function getViaRoute()
    {
        return $this->ViaRoute;
    }
    /**
     * Set ViaRoute value
     * @param \StructType\ViaRouteInsert $viaRoute
     * @return \StructType\Insert_ViaRoute
     */
    public function setViaRoute(\StructType\ViaRouteInsert $viaRoute = null)
    {
        $this->ViaRoute = $viaRoute;
        return $this;
    }
}
